Bug 508533 - Please, update to OL 2.8
Please, update to OL 2.8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openlayers (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Mathieu Bridon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 511144
  Show dependency treegraph
 
Reported: 2009-06-28 09:01 EDT by Mathieu Bridon
Modified: 2009-09-04 00:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.8-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 00:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2009-06-28 09:01:25 EDT
Description of problem:
OpenLayers 2.8 was released on June the 22nd.

This version includes (among other changes) built-in support for OpenStreetMap maps.

As such, the OpenLayers.Layer.OSM class was removed from the latest OpenStreetMap API.

As a consequence, the OpenLayers API in Fedora can't be used with the OpenStreetMap API.

It would be great if the openlayers package could be updated to the 2.8 release.

Here is a SRPM and spec file, based on the openlayers-2.7-3.fc11.x86_64 that I just rebuilt with the new source archive:
 * SRPM: http://bochecha.fedorapeople.org/openlayers-2.8/openlayers-2.8-1.fc11.src.rpm
 * SPEC: http://bochecha.fedorapeople.org/openlayers-2.8/openlayers.spec

RPMLint runs with the following error:
openlayers.x86_64: E: zero-length /usr/share/openlayers/www/theme/default/framedCloud.css

This file is 0 length also in the upstream tarball, so I'm not sure this is important at all.

You can even replace my name in the changelog for the Fedora package if you want :)
Comment 1 Balint Cristian 2009-07-02 08:30:11 EDT
(In reply to comment #0)
> Description of problem:
> OpenLayers 2.8 was released on June the 22nd.
> This version includes (among other changes) built-in support for OpenStreetMap
> maps.
> As such, the OpenLayers.Layer.OSM class was removed from the latest
> OpenStreetMap API.
> As a consequence, the OpenLayers API in Fedora can't be used with the
> OpenStreetMap API.
> It would be great if the openlayers package could be updated to the 2.8
> release.
> Here is a SRPM and spec file, based on the openlayers-2.7-3.fc11.x86_64 that I
> just rebuilt with the new source archive:
>  * SRPM:
> http://bochecha.fedorapeople.org/openlayers-2.8/openlayers-2.8-1.fc11.src.rpm
>  * SPEC: http://bochecha.fedorapeople.org/openlayers-2.8/openlayers.spec
> RPMLint runs with the following error:
> openlayers.x86_64: E: zero-length
> /usr/share/openlayers/www/theme/default/framedCloud.css
> This file is 0 length also in the upstream tarball, so I'm not sure this is
> important at all.

No it isn't.
> You can even replace my name in the changelog for the Fedora package if you
> want :)  
This is not needed. Just put yourself there.


Sure, go commit this in rawhide, make sure it builds fine in koji.
Comment 2 Mathieu Bridon 2009-07-02 09:03:11 EDT
Will do very soon.

Assigning to me.
Comment 3 Fedora Update System 2009-07-04 13:06:30 EDT
openlayers-2.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openlayers-2.8-1.fc11
Comment 4 Fedora Update System 2009-07-11 13:25:32 EDT
openlayers-2.8-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openlayers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7495
Comment 5 Fedora Update System 2009-09-04 00:11:13 EDT
openlayers-2.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.